org.apache.ignite.lang

## Interface IgniteAsyncSupport

All Known Subinterfaces:
  IgfsEx, IgniteCache<K,V>, IgniteCluster, IgniteClusterEx, IgniteCompute, IgniteEvents, IgniteFileSystem, IgniteMessaging, IgniteServices, Transaction, TransactionProxy

All Known Implementing Classes:
  AsyncSupportAdapter, IgfsAsyncImpl, IgfsImpl, IgniteCacheProxy, IgniteClusterAsyncImpl, IgniteClusterImpl, IgniteComputeImpl, IgniteEventsImpl, IgniteMessagingImpl, IgniteServicesImpl, TransactionProxyImpl

Deprecated.
since 2.0. Please use specialized asynchronous methods.

    @Deprecated
    public interface IgniteAsyncSupport

Allows to enable asynchronous mode on Ignite APIs, e.g.

         IgniteFuture f = cache.getAsync();

instead of old-style async API:

         IgniteCache asyncCache = cache.withAsync();
         asyncCache.get(key);
         IgniteFuture fut = asyncCache.future();

### Method Summary

Methods

`<R> IgniteFuture<R>`

`future()`
Deprecated.
since 2.0. Please use new specialized async method e.g.

         IgniteFuture f = cache.getAsync();

instead of old-style async API:

         IgniteCache asyncCache = cache.withAsync();
         asyncCache.get(key);
         IgniteFuture fut = asyncCache.future();

`boolean`

`isAsync()`
Deprecated.
since 2.0. Please use new specialized async method e.g.

         IgniteFuture f = cache.getAsync();

instead of old-style async API:

         IgniteCache asyncCache = cache.withAsync();
         asyncCache.get(key);
         IgniteFuture fut = asyncCache.future();

`IgniteAsyncSupport`

`withAsync()`
Deprecated.
since 2.0. Please use new specialized async method e.g.

         IgniteFuture f = cache.getAsync();

instead of old-style async API:

         IgniteCache asyncCache = cache.withAsync();
         asyncCache.get(key);
         IgniteFuture fut = asyncCache.future();

### Method Detail

#### withAsync

    @Deprecated
    IgniteAsyncSupport withAsync()

Deprecated. since 2.0. Please use new specialized async method e.g.

         IgniteFuture f = cache.getAsync();

instead of old-style async API:

         IgniteCache asyncCache = cache.withAsync();
         asyncCache.get(key);
         IgniteFuture fut = asyncCache.future();

Gets instance of this component with asynchronous mode enabled.

Returns:
  Instance of this component with asynchronous mode enabled.

#### isAsync

    @Deprecated
    boolean isAsync()

Deprecated. since 2.0. Please use new specialized async method e.g.

         IgniteFuture f = cache.getAsync();

instead of old-style async API:

         IgniteCache asyncCache = cache.withAsync();
         asyncCache.get(key);
         IgniteFuture fut = asyncCache.future();

Returns:
  `True` if asynchronous mode is enabled.

#### future

    @Deprecated
    <R> IgniteFuture<R> future()

Deprecated. since 2.0. Please use new specialized async method e.g.

         IgniteFuture f = cache.getAsync();

instead of old-style async API:

         IgniteCache asyncCache = cache.withAsync();
         asyncCache.get(key);
         IgniteFuture fut = asyncCache.future();

Gets and resets future for previous asynchronous operation.

Returns:
  Future for previous asynchronous operation.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017